#!/usr/bin/env node
// 命令行工具
let program = require('commander')
const package = require('../package.json')
const log = require('../helpers/log');
const {Logo} = require('../helpers/constant')
const {checkNodeVersion} = require('../helpers/cli')
const handler = require('../helpers');
// banner输出
log.rawBlue(Logo)
// 脚手架版本号
program.version(package.version, '-v, --version').usage('<command> [options]')
// 监察Node版本
checkNodeVersion(package.engines.node, 'UC-REACT-SCRIPTS')
// 环境变量
program
  .command('info')
  .description('查看当前运行环境')
  .action(() => {
    handler.info()
  })
//调试
program
  .command('dev')
  .description('调试项目')
  .option('--no-quiet', '关闭webpack错误或警告信息 默认为 true')
  .option('-e, --env <env>', '运行环境', "development")
  .action((args) => {
    handler.dev(args)
  })
// 构建
program
  .command('build')
  .description('构建项目')
  .option('--no-minimize', '压缩构建文件 默认为 true')
  .option('-e, --env <env>', '构建环境', "production")
  .action((args) => {
    handler.build(args)
  })
// 执行命令
program.parse(process.argv)