const TerserPlugin = require("terser-webpack-plugin");

module.exports = (isEnvProduction,isEnvProductionProfile) => {
  return {
    chunkIds: isEnvProduction ? 'deterministic' : 'named',
    minimize: process.args.minimize,
    minimizer: [
      new TerserPlugin({
        terserOptions: {
          parse: {  ecma: 8, },
          compress: {
            ecma: 5,
            warnings: false,
            comparisons: false,
            inline: 2,
          },
          mangle: { safari10: true, },
          keep_classnames: isEnvProductionProfile,
          keep_fnames: isEnvProductionProfile,
          output: {
            ecma: 5,
            comments: false,
            ascii_only: true,
          },
        },
        parallel: process.env.CI ? false : true,
      }),
    ],
    splitChunks: {
      cacheGroups: {
        vendor: {
          test: /[\\/]node_modules[\\/]/,
          name: 'vendors',
          chunks: 'all',
        },
      },
    },
  }
}