const path = require('path')
const paths = require('../paths');

module.exports = (isEnvDevelopment,isEnvProduction) => {
  return {
    path: paths.appBuild,
    pathinfo: isEnvDevelopment,
    filename: 'static/js/[name].[contenthash:8].js',
    assetModuleFilename: 'static/asset/[name].[contenthash:8][ext][query]',
    // 文件命名模版
    publicPath: paths.publicUrlOrPath,
    devtoolModuleFilenameTemplate: isEnvProduction
    ? (info) =>
        path
          .relative(paths.appSrc, info.absoluteResourcePath)
          .replace(/\\/g, "/")
    : isEnvDevelopment &&
      ((info) =>
        path.resolve(info.absoluteResourcePath).replace(/\\/g, "/")),
    environment: {
      arrowFunction: false,
      bigIntLiteral: false,
      const: false,
      destructuring: false,
      forOf: false,
      dynamicImport: false,
      module: false,
    }
  }
}