const PnpWebpackPlugin = require("pnp-webpack-plugin");
const paths = require('../paths');
const modules = require("./modules");

module.exports = (isEnvProductionProfile) => {
  return {
    modules: ["node_modules", paths.appNodeModules].concat(
      modules.additionalModulePaths || []
    ),
    extensions: paths.moduleFileExtensions
      .map((ext) => `.${ext}`)
      .filter((ext) => paths.useTypeScript || !ext.includes("ts")),
    alias: {
      "react-native": "react-native-web",
      ...(isEnvProductionProfile && {
        "react-dom$": "react-dom/profiling",
        "scheduler/tracing": "scheduler/tracing-profiling",
      }),
      ...(modules.webpackAliases || {}),
      src: paths.appSrc,
    },
    plugins: [
      // Adds support for installing with Plug'n'Play, leading to faster installs and adding
      // guards against forgotten dependencies and such.
      PnpWebpackPlugin,
    ],
  }
}