//交互性命令行
const ora = require('ora')
const log = require('./log');
module.exports = {
  info(){
    const spinner = ora('Start loading system configuration...').start()
    // envinfo 获取系统的信息，设备信息，浏览器，node版本等
    require('envinfo')
      .run(
        {
          System: ['OS', 'CPU'],
          Binaries: ['Node', 'Yarn', 'npm'],
          Browsers: ['Chrome', 'Edge', 'Firefox', 'Safari'],
          npmGlobalPackages: ['Monet-CLI'],
        },
        {
          showNotFound: true,
          duplicates: true,
          fullTree: true,
        },
      )
      .then(res => {
        log.rawGreen(res)
        spinner.succeed('Loading system configuration is complete')
      })
  },
  dev(args){
    Object.assign(args,{ progress: true  })
    process.args = args
    process.env.REACT_APP_ENV = process.args.env
    require('../scripts/start')
  },
  build(args){
    Object.assign(args,{ progress: true  })
    process.args = args
    process.env.REACT_APP_ENV = process.args.env
    require('../scripts/build')
  }
}